Overview
DELETE
/notifications/preferences/{id}notificationsReset the caller's notification preferences (id must be the caller's user id)
Delete a record from preferences by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
204
Preferences cleared
No response body.
401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}403
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X DELETE "https://api.agenticdeveloperhub.com/notifications/preferences/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/notifications/preferences/{id}", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();